Upgrade Please! Rated 5 out of 5 stars

Please make a version compatible with the 3.1 beta version of firefox!

This review is for a previous version of the add-on (0.1.1).